ECHO OFF
ckpairs %1 %2

REM You can suppress the screen display by redirecting
REM CKPAIRS' output to NUL. Example:

REM ckpairs %1 %2 ) NUL
REM where ")" is replaced by the actual redirection character
REM (right-facing angle bracket)

IF ERRORLEVEL 3 GOTO NOTFOUND
IF ERRORLEVEL 2 GOTO ERRORS
IF ERRORLEVEL 1 GOTO ODD
IF ERRORLEVEL 0 GOTO OK

:NOTFOUND
  ECHO Search string not found
  GOTO EXIT

:ERRORS
  ECHO Error during execution of ckpairs
  GOTO EXIT

:ODD
  ECHO At least one file had odd number of search strings
  GOTO EXIT

:OK
  ECHO File(s) had even number(s) of search strings
  GOTO EXIT

:EXIT

